Prometheus API
Evaluates a PromQL expression over a range of time
get
/api/prometheus/api/v1/query_rangeParameters 7
queryqueryrequiredPromQL expression to evaluate.
string
startqueryStart timestamp of the range (inclusive).
stringformat
"rfc3339 | unix_timestamp"endqueryEnd timestamp of the range (inclusive). Must not be before start.
stringformat
"rfc3339 | unix_timestamp"stepqueryrequiredQuery resolution step width, as a duration or a number of seconds.
stringformat
"duration | float_seconds"timeoutqueryPer-query timeout, clamped to the server-configured maximum.
stringformat
"duration"limitqueryMaximum number of returned series. Defaults to and is capped at the server-configured maximum.
integerformat
"int64"minimum 1datasetqueryDataset to query. Defaults to the organization's default dataset.
References Dataset
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
stringpattern
"^[a-zA-Z0-9_-]{3,26}$"bash
Sample request12curl --request GET 'https://api.eu-west-1.aws.dash0.com/api/prometheus/api/v1/query_range?query=up&step=1m' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}"
Responses
Evaluated range query. The result is always a matrix.
References PrometheusQueryResponse
stringrequired
string[]
string[]
Info-level annotations produced while evaluating the query (Prometheus 3.0+),
kept separate from warnings.